# vim: noexpandtab

Name:		logdna-agent
Version:	2.1.9
Release:	2%{?dist}
Summary:	The blazingly fast, resource efficient log collection client

License:	None
URL:		https://github.com/logdna/logdna-agent-v2
Source0:	https://github.com/logdna/logdna-agent-v2/archive/%{version}.tar.gz

BuildRequires:	cargo systemd-devel openssl-devel make
Requires:	systemd openssl

%description
The LogDNA agent is a blazingly fast, resource efficient log collection client, that forwards logs to LogDNA. The 2.0+ version of this agent is written in Rust to ensure maximum performance, and when coupled with LogDNA's web application, provides a powerful log management tool for distributed systems, including Kubernetes clusters.

%prep
%setup -q -n %{name}-v2-%{version}

%build
cargo build --release --locked --all-features

%install
install -Dm 755 -t "%{buildroot}/%{_bindir}" "target/release/%{name}"
install -Dm 644 -t "%{buildroot}/%{_exec_prefix}/lib/systemd/system" "linux/%{name}.service"

%files
%{_bindir}/%{name}
%{_exec_prefix}/lib/systemd/system/%{name}.service

%changelog
* Sun Jun 21 2020 Víctor González - 2.1.9-2
- Remove check (fails on all platforms)

* Sun Jun 21 2020 Víctor González - 2.1.9-1
- Initial add
- Spec file created
